FROM python:3.8-slim

RUN \
    pip install --upgrade pip \
 && pip install gunicorn

RUN mkdir /app
WORKDIR /app

COPY server/ /app/server/

COPY requirements.txt /app/requirements.txt
RUN pip install -r requirements.txt

COPY src/ /app/src/
COPY config.py /app/config.py

COPY tests/ /app/tests/
RUN python -m unittest discover tests/

COPY wsgi.py /app/wsgi.py
EXPOSE 80/tcp
CMD ["gunicorn", "--bind=0.0.0.0:80", "--log-file=-", "wsgi:app"]
